| Home | Libraries | People | FAQ | More

##### url_base::has_password

(Inherited from `url_view_base`)

Return true if a password is present.

###### Synopsis

    bool
    has_password() const;

###### Description

This function returns true if the userinfo is present and contains a password.

###### Example

    assert( url_view( "http://jane%2Ddoe:pass@example.com" ).has_password() );

###### Complexity

Constant.

###### Exception Safety

Throws nothing.

###### BNF

    userinfo    = user [ ":" [ password ] ]

    user        = *( unreserved / pct-encoded / sub-delims )
    password    = *( unreserved / pct-encoded / sub-delims / ":" )

###### Specification

- 3.2.1. User Information (rfc3986)

###### See Also

`has_userinfo`, `encoded_password`, `encoded_user`, `encoded_userinfo`, `password`, `user`, `userinfo`.